#!/usr/bin/python
from SOAPpy import SOAPProxy
import socket

class SOAPClient:
    def __init__(self):
        self.server = SOAPProxy('http://localhost:8080/',
                                namespace = 'urn:gnuviech-admin-services')
    
    def echo(self, value):
        try:
            return self.server.echo(value);
        except socket.error:
            return "couldn't connect"
    
if __name__ == "__main__":
    client = SOAPClient()
    print client.echo("Ein Test ")