<?php
/**
 * Unittest for the SOAPRequester.
 * @author Jan Dittberner <jan@dittberner.info>
 * @version $Id$
 */
require_once('PHPUnit.php');
require_once('SOAPRequester.php');

/**
 * TestCase for SOAPRequester.
 */
class TestSOAPRequester extends PHPUnit_TestCase {
	/**
	 * SOAPRequester-Instanz.
	 */
	var $requester;

	/**
	 * Sets up the test case.
	 * @see PHPUnit_TestCase#setUp()
	 */
	function setUp() {
		$settings = array('protocol' => 'http',
											'hostname' => 'localhost',
											'portnumber' => 8080,
											'path' => '');
		$this->requester = new SOAPRequester($settings);
	}

	/**
	 * Tests the SOAPRequester class's callEcho method.
	 * @see SOAPRequester#callEcho(string)
	 */
	function testCallEcho() {
		$result = $this->requester->callEcho('Test');
		$this->assertEquals('TestTest', $result);
	}
}
?>